<?php
require_once("../admin/inc/conecta.php");
require_once("../admin/inc/classe.ssh.php");
require_once("../admin/inc/funcoes.php");

$inicio_execucao = tempo_execucao();

echo "IP Servidor ".$_SERVER["REMOTE_ADDR"]."<br><br>";
echo "Iniciando checagem de streamings desligados...<br><br>";

$sql_servidores = mysqli_query($conexao,"SELECT * FROM servidores where ip = '".$_SERVER["REMOTE_ADDR"]."'");
while ($dados_servidor = mysqli_fetch_array($sql_servidores)) {

$sql = mysqli_query($conexao,"SELECT * FROM streamings where status = '1' AND codigo_servidor = '".$dados_servidor["codigo"]."' ORDER by porta ASC");
while ($dados_stm = mysqli_fetch_array($sql)) {

$dados_config = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM configuracoes"));

// Verifica se servidor esta ativado
if($dados_servidor["status"] == "on") {	

// Verifica se o streaming esta desligado
$status_streaming = status_streaming($dados_servidor["ip"],$dados_stm["porta"]);
	
if($status_streaming == "desligado") {

file_get_contents("http://".$dados_config["dominio_padrao"]."/funcoes-ajax/ligar_streaming/".code_decode($dados_stm["porta"],"E")."/robot");

//mysqli_query($conexao,"INSERT INTO logs_monitoramento (codigo_stm,codigo_servidor,data,log) VALUES ('".$dados_stm["codigo"]."','".$dados_servidor["codigo"]."',NOW(),'Shoutcast da porta ".$dados_stm["porta"]." ligado.')");

echo "[".$dados_servidor["nome"]."][".$dados_servidor["ip"]."][".$dados_stm["porta"]."][Shoutcast] Iniciado...<br>";

}
}
}
}

$fim_execucao = tempo_execucao();

$tempo_execucao = number_format(($fim_execucao-$inicio_execucao),2);

echo "<br>Processo concluido em ".$tempo_execucao." segundos.<br>";
?>
